RESIZE(1)

NAME
resize - utility to set TERMCAP and terminal settings to current window size

SYNOPSIS
resize [-u] [-s [row col]]

DESCRIPTION
Resize prints a shell command for setting the TERM and TERMCAP environment variables to indicate the current size of xgterm window from which the command is run. For this output to take effect, resize must either be evaluated as part of the command line (usually done with a shell alias or function) or else redirected to a file which can then be read in. From the C shell (usually known as /bin/csh), the following alias could be defined in the user's .cshrc:

        %  alias rs 'set noglob; `eval resize`'

After resizing the window, the user would type:

        %  rs

Users of versions of the Bourne shell (usually known as /bin/sh) that don't have command functions will need to send the output to a temporary file and the read it back in with the ``.'' command:

        $  resize >/tmp/out
        $  . /tmp/out

OPTIONS
The following options may be used with resize:

-u  This option indicates that Bourne shell commands should be generated even if the user's current shell isn't /bin/sh.

-c  This option indicates that C shell commands should be generated even if the user's current shell isn't /bin/csh.

-s [rows columns]
    This option indicates that that Sun console escape sequences will be used instead of the special xgterm escape code. If rows and columns are given, resize will ask the xgterm to resize itself. However, the window manager may choose to disallow the change.

FILES
/etc/termcap    for the base termcap entry to modify.
~/.cshrc    user's alias for the command.

SEE ALSO
csh(1), tset(1), xgterm(1)

AUTHORS
Mark Vandevoorde (MIT-Athena), Edward Moy (Berkeley)
Copyright (c) 1984, 1985 by Massachusetts Institute of Technology.
See X(1) for a complete copyright notice.

BUGS
The -u or -c must appear to the left of -s if both are specified.

There should be some global notion of display size; termcap and terminfo need to be rethought in the context of window systems. (Fixed in 4.3BSD, and Ultrix-32 1.2)